| Home | Libraries | People | FAQ | More

## Function operator!

boost::logic::operator! — Computes the logical negation of a tribool.

## Synopsis

    tribool operator!(tribool x);

## Description

Returns:

the logical negation of the tribool, according to the table:

`!` |
false | true
true | false
indeterminate | indeterminate

Throws: | Will not throw.

| Copyright © 2002-2004 Douglas Gregor